OS X `gollum` install not working

macosrubyrubygems

I've tried many things to fix this, but i can't get get gollum as a cli utility.

gem install gollum

completes with …

Building native extensions.  This could take a while...
ERROR:  Error installing gollum:
  ERROR: Failed to build gem native extension.

    /Users/kirkstrobeck/.rvm/rubies/ruby-2.1.0/bin/ruby extconf.rb
checking for main() in -licui18n... no
checking for main() in -licui18n... no


***************************************************************************************
*********** icu required (brew install icu4c or apt-get install libicu-dev) ***********
***************************************************************************************
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of necessary
libraries and/or headers.  Check the mkmf.log file for more details.  You may
need configuration options.

Provided configuration options:
  --with-opt-dir
  --without-opt-dir
  --with-opt-include
  --without-opt-include=${opt-dir}/include
  --with-opt-lib
  --without-opt-lib=${opt-dir}/lib
  --with-make-prog
  --without-make-prog
  --srcdir=.
  --curdir
  --ruby=/Users/kirkstrobeck/.rvm/rubies/ruby-2.1.0/bin/ruby
  --with-icu-dir
  --without-icu-dir
  --with-icu-include
  --without-icu-include=${icu-dir}/include
  --with-icu-lib
  --without-icu-lib=${icu-dir}/lib
  --with-icui18nlib
  --without-icui18nlib
  --with-icui18nlib
  --without-icui18nlib

extconf failed, exit code 1

Gem files will remain installed in /Users/kirkstrobeck/.rvm/rubies/ruby-2.1.0/lib/ruby/gems/2.1.0/gems/charlock_holmes-0.6.9.4 for inspection.
Results logged to /Users/kirkstrobeck/.rvm/rubies/ruby-2.1.0/lib/ruby/gems/2.1.0/extensions/x86_64-darwin-12/2.1.0-static/charlock_holmes-0.6.9.4/gem_make.out
$

Best Answer

  • Like the error message says,

    icu required (brew install icu4c or apt-get install libicu-dev)
    

    since you're on OS X, you should run:

    brew install icu4c
    
  • Related Question